Subject: Re: bug#33106: "make check-system TESTS=basic" fails on master

From: [email-masked] (Ludovic Courtès)
Date: Sat, 27 Oct 2018 16:37:14 +0200

Hello,

Chris Marusich <[email-masked]> skribis:

> The problem still occurs, but now there are no 9p-related errors:
>
> loading kernel modules...
> [    1.350969] usbcore: registered new interface driver usb-storage
> [    1.366341] usbcore: registered new interface driver uas
> [    1.385533] hidraw: raw HID events driver (C) Jiri Kosina
> [    1.389538] usbcore: registered new interface driver usbhid
> [    1.391152] usbhid: USB HID core driver
> [    1.443626] isci: Intel(R) C600 SAS Controller Driver - version 1.2.0
> [    1.480467] PCI Interrupt Link [LNKC] enabled at IRQ 11
> [    1.510120] PCI Interrupt Link [LNKD] enabled at IRQ 10
> [    1.539737] PCI Interrupt Link [LNKA] enabled at IRQ 10
> [    1.569364] PCI Interrupt Link [LNKB] enabled at IRQ 11
> [    1.618251] virtio_blk virtio4: [vda] 143360 512-byte logical blocks (73.4 MB/70.0 MiB)
> [    1.667705] random: fast init done
> [    1.669014] random: crng init done
> [    1.671153] FS-Cache: Loaded
> [    1.677011] 9pnet: Installing 9P2000 support
> [    1.679743] 9p: Installing v9fs 9p2000 file system support
> [    1.681353] FS-Cache: Netfs '9p' registered for caching
> In gnu/build/linux-boot.scm:
>    516:13  2 (_)
>     367:8  1 (mount-root-file-system "/dev/vda1" "ext4" # _)
> In unknown file:
>            0 (mount "/dev/vda1" "/real-root" "ext4" 1 #<undefined>)
> In procedure mount: No such file or directory

Could you launch QEMU by hand (grab the command line from the derivation
builder or something like that) to get to the initrd REPL when this
error occurs, and from there inspect what’s in /dev?

I don’t have any better idea.  :-/

Thanks,
Ludo’.